Subject: Re: bug#49508: Implement --allow-insecure-transport for `guix pull`

From: Mathieu Othacehe <[email-masked]>
Date: Tue, 01 Nov 2022 18:30:52 +0100

Hello,

> ‘verify_server_cert’ in src/streams/openssl.c is called
> unconditionally.  So it seems that the first thing to do would be to
> submit a patch upstream that would allow users to disable certificate
> checks via ‘git_libgit2_opts’.

While this seems like something that we definitely want, I think we
shouldn't block the release with a contribution that can take time to be
upstreamed in libgit2.

Unblocking #53214.

Mathieu